# Enum Class TestLogEvent

java.lang.Object
java.lang.Enum<TestLogEvent>
org.gradle.api.tasks.testing.logging.TestLogEvent

All Implemented Interfaces:
  `Serializable, Comparable<TestLogEvent>, Constable`

public enum TestLogEvent extends Enum<TestLogEvent>
Test events that can be logged.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAILED`
A test has failed.
`PASSED`
A test has completed successfully.
`SKIPPED`
A test has been skipped.
`STANDARD_ERROR`
A test has written a message to standard error.
`STANDARD_OUT`
A test has written a message to standard out.
`STARTED`
A test has started.

## Method Summary

Modifier and Type
Method
Description
`static TestLogEvent`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TestLogEvent[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STARTED

public static final TestLogEvent STARTED
A test has started. This event gets fired both for atomic and composite tests.

### PASSED

public static final TestLogEvent PASSED
A test has completed successfully. This event gets fired both for atomic and composite tests.

### SKIPPED

public static final TestLogEvent SKIPPED
A test has been skipped. This event gets fired both for atomic and composite tests.

### FAILED

public static final TestLogEvent FAILED
A test has failed. This event gets fired both for atomic and composite tests.

### STANDARD_OUT

public static final TestLogEvent STANDARD_OUT
A test has written a message to standard out.

### STANDARD_ERROR

public static final TestLogEvent STANDARD_ERROR
A test has written a message to standard error.

## Method Details

### values

public static TestLogEvent[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TestLogEvent valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null